Index: trunk/klask
===================================================================
--- trunk/klask	(revision 58)
+++ trunk/klask	(revision 59)
@@ -184,5 +184,5 @@
    $ret{timestamp}    = $timestamp if $timestamp;
 
-   my $nowtimestamp = time();
+   my $nowtimestamp = time;
 
    if ( $type eq 'fast' and ( not defined $timestamp or $timestamp < ( $nowtimestamp - 3 * 3600 ) ) ) {
@@ -220,5 +220,5 @@
       my @paquets = ();
       foreach ( split m/ : /xms, $ret{mac_address} ) {
-         my @chars = split m//xms, uc("00$_");
+         my @chars = split m//xms, uc "00$_";
          push @paquets, "$chars[-2]$chars[-1]";
          }
@@ -294,5 +294,5 @@
 sub hex_to_dec {
    #00:0F:1F:43:E4:2B
-   my $car = '00' . uc(shift);
+   my $car = '00' . uc shift;
 
    return '00' if $car eq '00UNKNOW';
@@ -351,5 +351,5 @@
          -varbindlist => [$research]
          );
-      if (not defined($result) or $result->{$research} eq 'noSuchInstance') {
+      if (not defined $result or $result->{$research} eq 'noSuchInstance') {
          $session->close;
          next LOOP_ON_SWITCH;
@@ -408,5 +408,5 @@
          );
 
-      if(defined($result) and $result->{$research} ne 'noSuchInstance'){
+      if(defined $result and $result->{$research} ne 'noSuchInstance'){
          my $swport = $result->{$research};
 
@@ -484,5 +484,5 @@
 
    my $reste = (($sw_port - 1) % 8) + 1;
-   my $major = int( ($sw_port - 1) / 8 );
+   my $major = int (($sw_port - 1) / 8);
 
    return "$INTERNAL_PORT_MAP{$major}$reste";
@@ -495,9 +495,9 @@
    return $sw_port if not $sw_model eq 'HP8000';
 
-   my $letter = substr($sw_port, 0, 1);
+   my $letter = substr $sw_port, 0, 1;
 
 #   return $port if $letter =~ m/\d/;
 
-   my $reste =  substr($sw_port, 1);
+   my $reste =  substr $sw_port, 1;
 
    return $INTERNAL_PORT_MAP_REV{$letter} * 8 + $reste;
@@ -569,5 +569,5 @@
       next LOOP_ON_COMPUTER unless exists $computerdb->{$ip};
 
-      my ($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = localtime($computerdb->{$ip}{timestamp});
+      my ($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = localtime $computerdb->{$ip}{timestamp};
       $year += 1900;
       $mon++;
@@ -619,5 +619,5 @@
       if ( exists $db_switch_chained_port{$sw->{hostname}} ) {
          chop $db_switch_chained_port{$sw->{hostname}};
-         push @{$sw->{portignore}}, split(m/ : /xms, $db_switch_chained_port{$sw->{hostname}});
+         push @{$sw->{portignore}}, split m/ : /xms, $db_switch_chained_port{$sw->{hostname}};
          }
 #      print "$sw->{hostname} ++ @{$sw->{portignore}}\n";
@@ -645,12 +645,12 @@
          $i++;
 
-         my $total_percent = int(($i*100)/$number_of_computer);
+         my $total_percent = int (($i*100)/$number_of_computer);
 
          my $localtime = time - $timestamp;
-         my ($sec,$min) = localtime($localtime);
+         my ($sec,$min) = localtime $localtime;
 
          my $time_elapse = 0;
             $time_elapse = $localtime * ( 100 - $total_percent) / $total_percent if $total_percent != 0;
-         my ($sec_elapse,$min_elapse) = localtime($time_elapse);
+         my ($sec_elapse,$min_elapse) = localtime $time_elapse;
 
          printf "\rComputer scanned: %4i/%i (%2i%%)",  $i,                 $number_of_computer, $total_percent;
@@ -820,5 +820,5 @@
 #      next if $computerdb->{$ip}{hostname_fq} eq 'unknow';
 
-      my ($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = localtime($computerdb->{$ip}{timestamp});
+      my ($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = localtime $computerdb->{$ip}{timestamp};
       $year += 1900;
       $mon++;
@@ -890,5 +890,5 @@
       next LOOP_ON_IP_ADDRESS if $computerdb->{$ip}{hostname_fq} eq ($computerdb->{$ip}{switch_hostname} || $computerdb->{$ip}{switch_description}); # switch on himself !
 
-      my ($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = localtime($computerdb->{$ip}{timestamp});
+      my ($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = localtime $computerdb->{$ip}{timestamp};
       $year += 1900;
       $mon++;
@@ -903,5 +903,5 @@
       my $switch_hostname_sort = sprintf '%s %3s' ,$switch_hostname, $computerdb->{$ip}{switch_port};
 
-      my $ip_sort = sprintf '%03i%03i%03i%03i', split( m/ \. /xms, $ip);
+      my $ip_sort = sprintf '%03i%03i%03i%03i', split m/ \. /xms, $ip;
 
       my $mac_sort = sprintf '%04i-%s', 9999 - $mac_count{$computerdb->{$ip}{mac_address}}, $computerdb->{$ip}{mac_address};
@@ -947,5 +947,5 @@
       my $date = sprintf '%04i-%02i-%02i %02i:%02i', $year, $mon, $mday, $hour, $min;
 
-      my $ip_sort = sprintf '%03i%03i%03i%03i', split( m/ \. /xms, $ipv4_address);
+      my $ip_sort = sprintf '%03i%03i%03i%03i', split m/ \. /xms, $ipv4_address;
 
       my $mac_sort = sprintf '%04i-%s', 9999, $mac_address;
@@ -995,5 +995,5 @@
       my $date = sprintf '%04i-%02i-%02i %02i:%02i', $year,$mon,$mday,$hour,$min;
 
-      my $ip_sort = sprintf '%03i%03i%03i%03i', split( m/ \. /xms, $ipv4_address);
+      my $ip_sort = sprintf '%03i%03i%03i%03i', split m/ \. /xms, $ipv4_address;
 
       my $mac_sort = sprintf '%04i-%s', 9999, $mac_address;
@@ -1122,5 +1122,5 @@
       );
 
-   if (not defined($result) or $result->{$research} eq 'noSuchInstance') {
+   if (not defined $result or $result->{$research} eq 'noSuchInstance') {
       print "Klask do not find MAC $mac_address on switch $switch_name\n";
       $session->close;
